module VDACif( input clk108,
					input hstart,
					input vstart,					
					input hblank,
					output reg [4:0] Red_data,
					output reg [5:0] Green_data,
					output reg [4:0] Blue_data,
					output reg DACBLANKn = 1
					);

reg countflag;
reg [8:0] Hcount;
reg [7:0] Vcount;

always @(posedge clk108)
		if ( !hblank )
			Hcount <= Hcount + 1;
		else if ( hblank )
			Hcount <= 0;
		
always @(posedge clk108)
      if ( hstart ) 
		   countflag <= 1;	//countflag active in display area
      else if ( hblank ) 
         countflag <= 0;

		
always @(posedge clk108)
	if ( countflag ) 
		begin
			Red_data <= hblank ? 0 : Hcount[0] ? 0 : 5'b11111;
			Green_data <= hblank ? 0 : Hcount[0] ? 0 : 6'b111111;
			Blue_data <= hblank ? 0 : Hcount[0] ? 0 : 5'b11111;
	end
		
endmodule



