//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    21:55:32 10/09/2012 
// Design Name: 
// Module Name:    top_level 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
`timescale 1ns / 1ps

module ClkOutDDRFF (input SigIn, 
						  output SigOut
						  );

   ODDR2 #( .INIT(1'b0), .SRTYPE("SYNC"), .DDR_ALIGNMENT("NONE"))  
			XLXI_1(		  
                 .C0(SigIn), 
                 .C1(!SigIn),
					  .CE(1'b1), 					  
                 .D0(1'b1), 
                 .D1(1'b0), 
                 .R(1'b0), 
                 .S(1'b0), 
                 .Q(SigOut));
endmodule

module top_level(input MAINCLK1,
					  output PCLKout,
					  output [4:0] Rout,
					  output [5:0] Gout,
					  output [4:0] Bout,
					  output DACBLANKn,
					  output HSYNCout,
					  output VSYNCout
					  );
   
   wire clk108;
   wire hstart;
   wire vstart;
   wire hblank;
   
   vga  XLXI_2 (.clk108(clk108),
               .hstart(hstart),
               .vstart(vstart), 	
               .hblank(hblank), 
               .hsync(HSYNCout),
               .vsync(VSYNCout)
					);
					
   VDACif  XLXI_3 (.clk108(clk108), 
                  .hstart(hstart),
                  .vstart(vstart),  
                  .hblank(hblank), 
                  .Red_data(Rout[4:0]), 
                  .Green_data(Gout[5:0]), 
                  .Blue_data(Bout[4:0]),
						.DACBLANKn(DACBLANKn)
						); 
						
   ClkOutDDRFF  XLXI_4 (.SigIn(clk108), 
                        .SigOut(PCLKout)
								);
								
   clock  XLXI_5 (.CLK_IN1(MAINCLK1), 
                   .CLK_OUT1(clk108)
						 );
						 
endmodule